﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Hosting;

namespace WCFVPPRegModule
{
    public class WCFVPPRegModule : IHttpModule
    {

        public void Dispose()
        {
            throw new NotImplementedException();
        }

        static bool wcfProviderInitialized = false;
        static object locker = new object();


        public void Init(HttpApplication context)
        {
            if (!wcfProviderInitialized)
            {
                lock (locker)
                {
                    if (!wcfProviderInitialized)
                    {
                        WCFVirtualPathProvider wcfVPP = new WCFVirtualPathProvider();
                        HostingEnvironment.RegisterVirtualPathProvider(wcfVPP);
                        wcfProviderInitialized = true;
                    }
                }
            }
        }
    }
}
