﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

using Microsoft.SharePoint;

namespace UpdateSPList
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "SPListService" in code, svc and config file together.
    public class SPListService : ISPListService
    {
        public void updateBlog(string SPSite, string blogTitle, string blogContent, string blogAuthor)
        {
            string strDashListRoot = SPSite;
            SPSecurity.RunWithElevatedPrivileges(delegate
            {

                using (SPSite site = new SPSite(strDashListRoot))
                {
                    using (SPWeb web = site.OpenWeb())
                    {
                        web.AllowUnsafeUpdates = true;
                        SPList list = web.Lists["Blog"];
                        SPListItem Item = list.Items.Add();
                        Item["Title"] = blogTitle;
                        Item["Content"] = blogContent;
                        Item["Writer"] = blogAuthor;
                        Item.Update();
                        web.AllowUnsafeUpdates = false;
                    }
                }
            });
        }
    }
}
