﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Hosting;

namespace WCFVPPRegModule
{
    public class WCFVirtualPathProvider : VirtualPathProvider
    {
        public override string CombineVirtualPaths(string basePath, string relativePath)
        {
            return Previous.CombineVirtualPaths(basePath, relativePath);
        }

        public override bool FileExists(string virtualPath)
        {
            string fixedVirtualPath = virtualPath;
            if (virtualPath.StartsWith("~") && virtualPath.EndsWith(".svc"))
            {
                fixedVirtualPath = virtualPath.Remove(0, 1);
            }
            return Previous.FileExists(fixedVirtualPath);
        }

        protected override void Initialize()
        {
            base.Initialize();
        }
    }
}
